Subject: bug#40858: closed (Re: bug#40858: Cargo in Guix)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Aug 2021 04:21:02 +0000

Your bug report

#40858: Cargo in Guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40858: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40858
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40858: Cargo in Guix
From: Maxim Cournoyer <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: Jan Ole Zabel <[email-masked]>, [email-masked]
Date: Sun, 08 Aug 2021 00:20:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Julien Lepiller <[email-masked]> writes:

> Le 25 avril 2020 18:17:16 GMT-04:00, Jan Ole Zabel <[email-masked]> a écrit :
>>Hi,
>>
>>I just installed the rust package on guix-system and realized I have no
>>idea of how to use `cargo` to build something. First, cargo is not in
>>my
>>search path after installing `rust`, because there is no link in
>>`.guix-profile`. There is no dedicated package either. 
>
> The rust package has multiple outputs. Its default output doesn't
> contain cargo, but it has a cargo output which you found in the
> store. You can install it with:
>
> guix install rust:cargo
>
>>Second, the
>>cargo binary installed in `/gnu/store/` throws the following:
>>
>>	$ /gnu/store/*-rust-1.39.0-cargo/bin/cargo install ripgrep
>>	error: failed to download from
>>`https://crates.io/api/ripgrep/12.0.1/download`
>>	
>>	Caused by:
>>	  [60] SSL peer certificate or SSH remote key not found (server
>>certificate verification failed. CAfile: none CRLFile: none)
>>
>>A `curl https://crates.io` works normally, so it's not an issue with
>>the
>>system certificates.
>
> My guess is that curl comes from your foreign system? Guix packages
> don't read the global location. Have you performed these additional
> steps after installing guix?
>
> http://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html#X_002e509-Certificates
>
>>
>>Am I doing something wrong? Is this even the right place to report or
>>ask?
>
> guix-help would have been a better place for this one I think.
>
> I hope this helped a bit :)

Thanks to Julien for the assistance.

Closing this forgotten issue.

Maxim

Subject: Cargo in Guix
From: Jan Ole Zabel <[email-masked]>
To: [email-masked]
Date: Sun, 26 Apr 2020 00:17:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just installed the rust package on guix-system and realized I have no
idea of how to use `cargo` to build something. First, cargo is not in my
search path after installing `rust`, because there is no link in
`.guix-profile`. There is no dedicated package either. Second, the
cargo binary installed in `/gnu/store/` throws the following:

	$ /gnu/store/*-rust-1.39.0-cargo/bin/cargo install ripgrep
	error: failed to download from
`https://crates.io/api/ripgrep/12.0.1/download`
	
	Caused by:
	  [60] SSL peer certificate or SSH remote key not found (server
certificate verification failed. CAfile: none CRLFile: none)

A `curl https://crates.io` works normally, so it's not an issue with the
system certificates.

Am I doing something wrong? Is this even the right place to report or ask?